GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# gserialize

## Name

gserialize --

## Synopsis

    enum        GSerialType;
    struct      GSerialItem;
    struct      GSerialDescription;
    GSerialItem* g_new_serial_item              (GSerialType type,
                                                 gulong offset,
                                                 gint32 length,
                                                 gulong length_offset);
    #define     g_serial_item                   (type, struct_, member)
    #define     g_serial_array                  (type, struct_, member, length)
    #define     g_serial_vlen_array             (type, struct_, member, length_member)
    GSerialDescription* g_new_serial_description
                                                (char *name,
                                                 ...);
    void        g_free_serial_description       (GSerialDescription*);
    long        g_serialize                     (GSerialDescription *d,
                                                 void **output,
                                                 void *struct_data);
    long        g_deserialize                   (GSerialDescription *d,
                                                 void *output,
                                                 void *serial);

## Description

## Details

### enum GSerialType

    typedef enum {
      GSERIAL_END          = 0,           /* for internal use only */
      GSERIAL_INT8         = 1,
      GSERIAL_INT16        = 2,
      GSERIAL_INT32        = 3,
      GSERIAL_FLOAT        = 4,         /* 32 bit IEEE fp value */
      GSERIAL_DOUBLE       = 5,        /* 64 bit IEEE fp value */
      GSERIAL_STRING       = 101,
      GSERIAL_INT8ARRAY    = 102,
      GSERIAL_INT16ARRAY   = 103,
      GSERIAL_INT32ARRAY   = 104,
      GSERIAL_FLOATARRAY   = 105,
      GSERIAL_DOUBLEARRAY  = 106,
      GSERIAL_LAST_TYPE    = 107
    } GSerialType;

### struct GSerialItem

    struct GSerialItem;

### struct GSerialDescription

    struct GSerialDescription;

### g_new_serial_item ()

    GSerialItem* g_new_serial_item              (GSerialType type,
                                                 gulong offset,
                                                 gint32 length,
                                                 gulong length_offset);

`type` : |
`offset` : |
`length` : |
`length_offset` : |
Returns : |

### g_serial_item()

    #define     g_serial_item(type, struct_, member)

`type` : |
`struct_` : |
`member` : |

### g_serial_array()

    #define     g_serial_array(type, struct_, member, length)

`type` : |
`struct_` : |
`member` : |
`length` : |

### g_serial_vlen_array()

    #define     g_serial_vlen_array(type, struct_, member, length_member)

`type` : |
`struct_` : |
`member` : |
`length_member` : |

### g_new_serial_description ()

    GSerialDescription* g_new_serial_description
                                                (char *name,
                                                 ...);

`name` : |
`...` : |
Returns : |

### g_free_serial_description ()

    void        g_free_serial_description       (GSerialDescription*);

`Param1` : |

### g_serialize ()

    long        g_serialize                     (GSerialDescription *d,
                                                 void **output,
                                                 void *struct_data);

`d` : |
`output` : |
`struct_data` : |
Returns : |

### g_deserialize ()

    long        g_deserialize                   (GSerialDescription *d,
                                                 void *output,
                                                 void *serial);

`d` : |
`output` : |
`serial` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
parasiteP | gimpenv